<?php 
/* SVN FILE: $Id$ */
/* CharacterProfileArchive Test cases generated on: 2010-04-09 10:23:04 : 1270776184*/
App::import('Model', 'CharacterProfileArchive');

class CharacterProfileArchiveTestCase extends CakeTestCase {
	var $CharacterProfileArchive = null;
	var $fixtures = array('app.character_profile_archive', 'app.character');

	function startTest() {
		$this->CharacterProfileArchive =& ClassRegistry::init('CharacterProfileArchive');
	}

	function testCharacterProfileArchiveInstance() {
		$this->assertTrue(is_a($this->CharacterProfileArchive, 'CharacterProfileArchive'));
	}

	function testCharacterProfileArchiveFind() {
		$this->CharacterProfileArchive->recursive = -1;
		$results = $this->CharacterProfileArchive->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('CharacterProfileArchive' => array(
			'id'  => 1,
			'character_id'  => 1,
			'value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'title'  => 'Lorem ipsum dolor sit amet',
			'memo'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'deleted'  => 1,
			'disp_date'  => '2010-04-09',
			'created'  => '2010-04-09 10:23:04',
			'modified'  => '2010-04-09 10:23:04',
			'deleted_date'  => '2010-04-09 10:23:04'
		));
		$this->assertEqual($results, $expected);
	}
}
?>